var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Button } from "@chakra-ui/react";
import { useErrorHandler, useProvider } from "@strata-foundation/react";
import { useAsyncCallback } from "react-async-hook";
export const AsyncButton = (_a) => {
    var { action, children } = _a, props = __rest(_a, ["action", "children"]);
    const { awaitingApproval } = useProvider();
    const { execute, loading, error } = useAsyncCallback(action);
    const { handleErrors } = useErrorHandler();
    handleErrors(error);
    return (<Button isLoading={loading} loadingText={awaitingApproval ? "Awaiting Approval" : "Loading"} onClick={execute} {...props}>
      {children}
    </Button>);
};
