var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Token, TOKEN_PROGRAM_ID } from "@solana/spl-token";
import { useWallet } from "@solana/wallet-adapter-react";
import { Transaction } from "@solana/web3.js";
import { useProvider, useAssociatedAccount } from "@strata-foundation/react";
import { AsyncButton } from "./AsyncButton";
export const BurnButton = ({ mintKey }) => {
    const { provider } = useProvider();
    const { publicKey } = useWallet();
    const { associatedAccount: account, associatedAccountKey } = useAssociatedAccount(publicKey, mintKey);
    const hasTokens = account && account.amount.toNumber() > 0;
    return <AsyncButton isDisabled={!hasTokens} colorScheme="red" action={() => __awaiter(void 0, void 0, void 0, function* () {
            if (account && publicKey && provider && associatedAccountKey) {
                const tx = new Transaction();
                tx.add(Token.createBurnInstruction(TOKEN_PROGRAM_ID, account.mint, associatedAccountKey, account.owner, [], account.amount), Token.createCloseAccountInstruction(TOKEN_PROGRAM_ID, associatedAccountKey, publicKey, publicKey, []));
                yield provider.send(tx);
            }
        })}>
    {hasTokens ? "Burn my Bounty Tokens" : "No Bounty Tokens Found"}
  </AsyncButton>;
};
