var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Box, Button, Center, Container, HStack, Image, Link, Text } from "@chakra-ui/react";
import { useWallet } from "@solana/wallet-adapter-react";
import React from "react";
import { TwitterLink } from "./TwitterLink";
import { WalletModalButton } from "./WalletModalButton";
const MenuItem = (_a) => {
    var { children, isLast = false, href = "/" } = _a, rest = __rest(_a, ["children", "isLast", "href"]);
    return (<Text mb={{ base: isLast ? 0 : 8, sm: 0 }} mr={{ base: 0, sm: isLast ? 0 : 8 }} display="block">
    <Link href={href} {...rest}>
      {children}
    </Link>
  </Text>);
};
export const Header = () => {
    const { disconnect, connected } = useWallet();
    return (<>
      <Center zIndex={100} position="fixed" w="full" height="56px" alignItems="center" color="white" bg="black.300">
        <Container maxW="container.lg" w="full" display="flex" justifyContent="space-between">
          <Link href="/bounties">
            <Image alt="Strata Marketplace" src="/logo.svg"/>
          </Link>
          <Box display={{ md: "block" }} flexBasis={{ base: "100%", md: "auto" }}>
            <HStack align="center" justify={["center", "space-between", "flex-end", "flex-end"]} direction={["column", "row", "row", "row"]} display={["none", "none", "flex"]} pt={[4, 4, 0, 0]}>
              <TwitterLink />
              {connected && (<Button _hover={{ backgroundColor: "black.500" }} variant="ghost" onClick={() => disconnect()}>
                  Disconnect
                </Button>)}
              <WalletModalButton />
            </HStack>
          </Box>
        </Container>
      </Center>
      <Box height="56px"/>
    </>);
};
