var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useCallback } from "react";
import { Button, Icon } from "@chakra-ui/react";
import { useWalletModal } from "@solana/wallet-adapter-react-ui";
import { BsFillPersonFill } from "react-icons/bs";
import { useWallet } from "@solana/wallet-adapter-react";
import { truncatePubkey } from "@strata-foundation/react";
export const WalletModalButton = (_a) => {
    var { children = "Select Wallet", onClick } = _a, props = __rest(_a, ["children", "onClick"]);
    const { connected, publicKey } = useWallet();
    const { visible, setVisible } = useWalletModal();
    const handleClick = useCallback((event) => {
        if (onClick)
            onClick(event);
        if (!event.defaultPrevented)
            setVisible(!visible);
    }, [onClick, visible]);
    return (<Button variant="outline" _hover={{ backgroundColor: "orange.500" }} leftIcon={<Icon w="16px" h="16px" as={BsFillPersonFill}/>} borderColor="orange.500" onClick={handleClick} {...props}>
      {connected ? truncatePubkey(publicKey) : children}
    </Button>);
};
