import { HStack, VStack, Text, Spinner } from "@chakra-ui/react";
import { roundToDecimals } from "@strata-foundation/react";
import { numberWithCommas } from "../../utils/numberWithCommas";
export const BountyCardContribution = ({ amount, symbol, text = "Contributed" }) => {
    return (<VStack spacing={2} rounded="lg" padding={4} border="1px solid" borderColor="gray.200" minWidth="200px">
      <HStack spacing={2}>
        <Text fontWeight={800} color="gray.700">
          {typeof amount != "undefined" ? numberWithCommas(roundToDecimals(amount, 4)) : <Spinner size="sm"/>}
        </Text>
        <Text color="gray.700">{symbol}</Text>
      </HStack>
      <Text color="gray.500">{text}</Text>
    </VStack>);
};
